Show / Hide Table of Contents

# Struct GameObject

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GameObject

### Fields

| Improve this Doc View Source

#### DataID

##### Declaration

    public uint DataID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DrawObject

##### Declaration

    public DrawObject*DrawObject

##### Field Value

Type | Description
--- | ---
DrawObject* |

| Improve this Doc View Source

#### FateId

##### Declaration

    public uint FateId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Gender

##### Declaration

    public byte Gender

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Height

##### Declaration

    public float Height

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### HitboxRadius

##### Declaration

    public float HitboxRadius

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### LuaActor

##### Declaration

    public LuaActor*LuaActor

##### Field Value

Type | Description
--- | ---
LuaActor* |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ObjectID

##### Declaration

    public uint ObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ObjectIndex

##### Declaration

    public ushort ObjectIndex

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ObjectKind

##### Declaration

    public byte ObjectKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OwnerID

##### Declaration

    public uint OwnerID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Position

##### Declaration

    public Vector3 Position

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### RenderFlags

##### Declaration

    public int RenderFlags

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public float Rotation

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SubKind

##### Declaration

    public byte SubKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TargetStatus

##### Declaration

    public byte TargetStatus

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### VfxScale

##### Declaration

    public float VfxScale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### YalmDistanceFromPlayerX

##### Declaration

    public byte YalmDistanceFromPlayerX

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### YalmDistanceFromPlayerZ

##### Declaration

    public byte YalmDistanceFromPlayerZ

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetDrawObject()

##### Declaration

    [VirtualFunction(28)]
    public DrawObject*GetDrawObject()

##### Returns

Type | Description
--- | ---
DrawObject* |

| Improve this Doc View Source

#### GetHeight()

##### Declaration

    [VirtualFunction(9)]
    public float GetHeight()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetIsTargetable()

##### Declaration

    [VirtualFunction(5)]
    public bool GetIsTargetable()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetName()

##### Declaration

    [VirtualFunction(7)]
    public byte *GetName()

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GetNpcID()

##### Declaration

    [VirtualFunction(49)]
    public uint GetNpcID()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetObjectID()

##### Declaration

    [VirtualFunction(2)]
    public GameObjectID GetObjectID()

##### Returns

Type | Description
--- | ---
GameObjectID |

| Improve this Doc View Source

#### GetObjectKind()

##### Declaration

    [VirtualFunction(3)]
    public byte GetObjectKind()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetRadius()

##### Declaration

    [VirtualFunction(8)]
    public float GetRadius()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IsCharacter()

##### Declaration

    [VirtualFunction(62)]
    public bool IsCharacter()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsDead()

##### Declaration

    [VirtualFunction(58)]
    public bool IsDead()

##### Returns

Type | Description
--- | ---
System.Boolean |